/*
 * @Author       : ChenJie
 * @Date         : 2022-01-19 09:44:48
 * @Version      : V3.0
 * @LastEditors  : ChenJie
 * @LastEditTime : 2022-01-19 11:55:15
 * @Description  : file content
 * @FilePath     : \S32K144_BLE\src\AppTaskBle.h
 */
/*
 * AppTaskBle.h
 *
 *  Created on: 2022119
 *      Author: QiXiang_CHENJIE
 */

#ifndef APPTASKBLE_H_
#define APPTASKBLE_H_
#include "hal_adapter.h"
#include "AppGlobalVar.h"
#include "AppFuncLib.h"
typedef enum
{
    AT_Cmd_Test = 0,
    AT_GetMac,
    AT_NameChk,
    AT_NameSet,
    AT_AutoConnSet,
    AT_LogMsgSet,
    AT_RoleChk,
    AT_RoleSet,
    AT_Conn,
    AT_DisCon,
    AT_Reset
} BleAtCmd;
typedef sint8 (*pFunc)(uint8 *PSendStr, uint8 *ptr, uint16 len);

sint8 at_callbackFunc(uint8 *PSendStr, uint8 *ptr, BleAtCmd CmdIdx);
typedef struct
{
	BleAtCmd cmd;
    uint8 *str;
    pFunc cb;
} BleAtCmdFunc_t;
extern const BleAtCmdFunc_t BleAtCmdFunc[];
typedef enum
{
    AT_SUC = 0,
    AT_ERROR,
} AT_STATE;
void ReceiveTask(void *pvParameters);
void BleTask(void *pvParameters);
#endif /* APPTASKBLE_H_ */
